package com.ejie.p06b.datatype.model;

import java.io.Serializable;

import com.ejie.p06b.general.P06BConstantes;

/**
 * XXXX
 * Inserte aquí la descripción del tipo.
 * Fecha de creación: (01/06/07)
 */
public class P06B22T00Datatype implements Serializable {
	
	private String tipo = ""; //1:Socio directo; 2:Socio indirecto; 3: Auxiliar externo
	private String nExpediente = "";
	private String identificador = "";
	private String tipo1 = ""; //'F':Fisica; 'J':Juridica
	private String razSoc = "";
	private String nombre = "";
	private String ape1 = "";
	private String ape2 = "";
	private String domici = "";
	private String codmun = "";
	private String locali = "";
	private String codpro = "";
	private String codpst = "";
	private String fecAlta = "";
	private String fecBaja = "";
	//private String fecCese = "";
	private String participa = "";
	private String idRep = "";
	private String nomRep = "";
	private int operacion =-1;
	private int aprobado =1;
	private P06B22T00Datatype datos22Originales;
	
	public boolean isEmpty() {
		if(identificador.trim().equals("")
				&& nombre.trim().equals("")
				&& fecAlta.trim().equals("")
				&& razSoc.trim().equals("")
				&& ape1.trim().equals("")
				&& ape2.trim().equals("")
				&& domici.trim().equals("")
				&& codmun.trim().equals("")
				&& locali.trim().equals("")
				&& codpro.trim().equals("")
				&& codpst.trim().equals("")
				&& fecBaja.trim().equals("")
				&& participa.trim().equals(""))
			return true;
		return false;
	}
	/**
	 * @return Returns the fecAlta.
	 */
	public String getFecAlta() {
		return fecAlta;
	}
	/**
	 * @param fecAlta The fecAlta to set.
	 */
	public void setFecAlta(String fecAlta) {
		this.fecAlta = fecAlta;
	}
	/**
	 * @return Returns the fecCese.
	 */
	/*public String getFecCese() {
		return fecCese;
	}*/
	/**
	 * @param fecCese The fecCese to set.
	 */
	/*public void setFecCese(String fecCese) {
		this.fecCese = fecCese;
	}*/
	/**
	 * @return Returns the identificador.
	 */
	public String getIdentificador() {
		return identificador;
	}
	/**
	 * @param identificador The identificador to set.
	 */
	public void setIdentificador(String identificador) {
		this.identificador = identificador;
	}
	/**
	 * @return Returns the nExpediente.
	 */
	public String getNExpediente() {
		return nExpediente;
	}
	/**
	 * @param expediente The nExpediente to set.
	 */
	public void setNExpediente(String expediente) {
		nExpediente = expediente;
	}
	/**
	 * @return Returns the nombre.
	 */
	public String getNombre() {
		return nombre;
	}
	/**
	 * @param nombre The nombre to set.
	 */
	public void setNombre(String nombre) {
		this.nombre = nombre;
	}
	/**
	 * @return Returns the participa.
	 */
	public String getParticipa() {
		return participa;
	}
	/**
	 * @param participa The participa to set.
	 */
	public void setParticipa(String participa) {
		this.participa = participa;
	}
	
	/**
	 * @return the idRep
	 */
	public String getIdRep() {
		return idRep;
	}
	/**
	 * @param idRep the idRep to set
	 */
	public void setIdRep(String idRep) {
		this.idRep = idRep;
	}
	/**
	 * @return the nomRep
	 */
	public String getNomRep() {
		return nomRep;
	}
	/**
	 * @param nomRep the nomRep to set
	 */
	public void setNomRep(String nomRep) {
		this.nomRep = nomRep;
	}
	/**
	 * @return Returns the razSoc.
	 */
	public String getRazSoc() {
		return razSoc;
	}
	/**
	 * @param razSoc The razSoc to set.
	 */
	public void setRazSoc(String razSoc) {
		this.razSoc = razSoc;
	}
	
	/**
	 * @return Returns the ape1.
	 */
	public String getApe1() {
		return ape1;
	}
	/**
	 * @param ape1 The ape1 to set.
	 */
	public void setApe1(String ape1) {
		this.ape1 = ape1;
	}
	
	/**
	 * @return Returns the ape2.
	 */
	public String getApe2() {
		return ape2;
	}
	/**
	 * @param ape2 The ape2 to set.
	 */
	public void setApe2(String ape2) {
		this.ape2 = ape2;
	}
	
	/**
	 * @return Returns the domici.
	 */
	public String getDomici() {
		return domici;
	}
	/**
	 * @param domici The domici to set.
	 */
	public void setDomici(String domici) {
		this.domici = domici;
	}
	
	/**
	 * @return Returns the codmun.
	 */
	public String getCodmun() {
		return codmun;
	}
	/**
	 * @param codmun The codmun to set.
	 */
	public void setCodmun(String codmun) {
		this.codmun = codmun;
	}
	
	/**
	 * @return Returns the locali.
	 */
	public String getLocali() {
		return locali;
	}
	/**
	 * @param locali The locali to set.
	 */
	public void setLocali(String locali) {
		this.locali = locali;
	}
	
	/**
	 * @return Returns the codpro.
	 */
	public String getCodpro() {
		return codpro;
	}
	/**
	 * @param codpro The codpro to set.
	 */
	public void setCodpro(String codpro) {
		this.codpro = codpro;
	}
	
	/**
	 * @return Returns the codpst.
	 */
	public String getCodpst() {
		return codpst;
	}
	/**
	 * @param codpst The codpst to set.
	 */
	public void setCodpst(String codpst) {
		this.codpst = codpst;
	}
	
	/**
	 * @return Returns the fecBaja.
	 */
	public String getFecBaja() {
		return fecBaja;
	}
	/**
	 * @param fecBaja The fecBaja to set.
	 */
	public void setFecBaja(String fecBaja) {
		this.fecBaja = fecBaja;
	}
	
	/**
	 * @return Returns the tipo.
	 */
	public String getTipo() {
		return tipo;
	}
	/**
	 * @param tipo The tipo to set.
	 */
	public void setTipo(String tipo) {
		this.tipo = tipo;
	}
	
	/**
	 * @return Returns the tipo1.
	 */
	public String getTipo1() {
		return tipo1;
	}
	/**
	 * @param tipo1 The tipo1 to set.
	 */
	public void setTipo1(String tipo1) {
		this.tipo1 = tipo1;
	}
	/**
	 * @return the operacion
	 */
	public int getOperacion() {
		return operacion;
	}
	/**
	 * @param operacion the operacion to set
	 */
	public void setOperacion(int operacion) {
		this.operacion = operacion;
	}
	/**
	 * @return the aprobado
	 */
	public int getAprobado() {
		return aprobado;
	}
	/**
	 * @param aprobado the aprobado to set
	 */
	public void setAprobado(int aprobado) {
		this.aprobado = aprobado;
	}
	/**
	 * @return the datos22Originales
	 */
	public P06B22T00Datatype getDatos22Originales() {
		return datos22Originales;
	}
	/**
	 * @param datos22Originales the datos22Originales to set
	 */
	public void setDatos22Originales(P06B22T00Datatype datos22Originales) {
		this.datos22Originales = datos22Originales;
	}
	
	/**
	 * @return Returns the nombre.
	 */
	public String getDenominacionCompleta() {
		String denominacion = "";
		if (getTipo1().equals(P06BConstantes.P06B_PERSONA_FISICA)){
			if (getApe1()!= null){
				denominacion = getApe1();
				if (getApe2()!= null){
					denominacion = denominacion + " " + getApe2();
				}else{
					denominacion = denominacion + " ?";					
				}
				if (getNombre()!= null){
					denominacion = denominacion + ", " + getNombre();
				}else{
					denominacion = denominacion + ", ?";					
				}
			}else{
				if (getApe2()!= null){
					denominacion = "? " + getApe2();
					if (getNombre()!= null){
						denominacion = denominacion + ", " + getNombre();
					}else{
						denominacion = denominacion + ", ?";					
					}				
				}else{
					if (getNombre()!= null){
						denominacion = getNombre();
					}			
				}
			}
		}else{
			denominacion = getRazSoc();			
		}
		return denominacion;
	}
	
}
